library shareintentinterface;

import 'dart:async';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';
import 'package:shareintentinterface/ShareIntentMethodChannel.dart';

abstract class ShareIntentPlatform extends PlatformInterface {
  ShareIntentPlatform() : super(token: _token);

  static final Object _token = Object();

  static ShareIntentPlatform _instance = ShareIntentMethodChannel();

  static ShareIntentPlatform get instance => _instance;

  static set instance(ShareIntentPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  // Returns a stream of shared links to listen to. Bloc.
  Stream<String> get onShareIntentReceived {
    throw UnimplementedError('get onLinkShare has not been implemented');
  }
}
